ColorerActionContributor
Keywords: net.sf.colorer.eclipse.editors.ColorerActionContributor,ColorerActionContributor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse.editors
Class ColorerActionContributor

    java.lang.Object
      |
      +--TextEditorActionContributor
            |
            +--net.sf.colorer.eclipse.editors.ColorerActionContributor

public class ColorerActionContributor
extends TextEditorActionContributor

Field Summary
`net.sf.colorer.eclipse.editors.ColorerActionContributor.PairMatchAction` | `pairMatchAction`
`net.sf.colorer.eclipse.editors.ColorerActionContributor.PairSelectAction` | `pairSelectAction`
`net.sf.colorer.eclipse.editors.ColorerActionContributor.PairSelectContentAction` | `pairSelectContentAction`

Constructor Summary
`ColorerActionContributor()`

Method Summary
`void` | `contributeToToolBar(IToolBarManager toolBarManager)`
`void` | `dispose()`
`void` | `init(IActionBars bars, IWorkbenchPage page)`
`void` | `setActiveEditor(IEditorPart editor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pairMatchAction

    public net.sf.colorer.eclipse.editors.ColorerActionContributor.PairMatchAction pairMatchAction

### pairSelectAction

    public net.sf.colorer.eclipse.editors.ColorerActionContributor.PairSelectAction pairSelectAction

### pairSelectContentAction

    public net.sf.colorer.eclipse.editors.ColorerActionContributor.PairSelectContentAction pairSelectContentAction

Constructor Detail

### ColorerActionContributor

    public ColorerActionContributor()

Method Detail

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

### dispose

    public void dispose()

### init

    public void init(IActionBars bars,
                     IWorkbenchPage page)

### setActiveEditor

    public void setActiveEditor(IEditorPart editor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.